Package (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.extensions.avid

## Interface Package

- All Superinterfaces:
    InterchangeObject, MediaEntity, MetadataObject, Package, WeakReferenceTarget

      public interface Package
      extends Package

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendMobAttributeItem(TaggedValue mobAttributeItem)`
    `void` | `clearMobAttributeList()`
    `int` | `countMobAttributeList()`
    `boolean` | `getConvertFrameRate()`
    `TaggedValue` | `getMobAttributeItemAt(int index)`
    `List<? extends TaggedValue>` | `getMobAttributeList()`
    `long` | `getSubclipBegin()`
    `long` | `getSubclipFullLength()`
    `void` | `insertMobAttributeItem(int index, TaggedValue mobAttributeItem)`
    `void` | `prependMobAttributeItem(TaggedValue mobAttributeItem)`
    `void` | `removeMobAttributeItemAt(int index)`
    `void` | `setConvertFrameRate(Boolean convertFrameRate)`
    `void` | `setSubclipBegin(Long subclipBegin)`
    `void` | `setSubclipFullLength(Long subclipFullLength)`

    - ### Methods inherited from interface tv.amwa.maj.model.Package

      `appendNewEventTrack, appendNewStaticTrack, appendNewTimelineTrack, appendPackageAttribute, appendPackageAttribute, appendPackageKLVData, appendPackageTrack, appendPackageUserComment, appendPackageUserComment, changeReference, clearPackageAttributes, clearPackageKLVData, clearPackageTracks, clearPackageUserComments, clone, cloneExternal, copy, countPackageAttributes, countPackageKLVData, countPackageTracks, countPackageUserComments, getCreationTime, getPackageAttributes, getPackageID, getPackageKLVData, getPackageLastModified, getPackageName, getPackageTrackAt, getPackageTracks, getPackageUsage, getPackageUserComments, insertPackageTrackAt, lookupPackageTrack, offsetToPackageTimecode, prependPackageTrack, removePackageAttribute, removePackageKLVData, removePackageTrackAt, removePackageUserComment, setCreationTime, setPackageID, setPackageLastModified, setPackageName, setPackageUsage`

    - ### Methods inherited from interface tv.amwa.maj.model.InterchangeObject

      `addApplicationPlugin, clearApplicationPlugins, containsApplicationPlugin, containsApplicationPlugin, countApplicationPlugins, deepEquals, disableGenerationTracking, enableGenerationTracking, equals, getApplicationPlugins, getGeneration, getLinkedGenerationID, getObjectClass, isGenerationTracked, removeApplicationPlugin, removeApplicationPlugin, setLinkedGenerationID, setObjectClass, toString`

    - ### Methods inherited from interface tv.amwa.maj.industry.MediaEntity

      `getPersistentID, setPersistentIndex`

    - ### Methods inherited from interface tv.amwa.maj.industry.WeakReferenceTarget

      `getAUID, getWeakTargetReference`

- - ### Method Detail

    - #### getConvertFrameRate

          boolean getConvertFrameRate()

    - #### setConvertFrameRate

          void setConvertFrameRate(Boolean convertFrameRate)

    - #### getMobAttributeList

          List<? extends TaggedValue> getMobAttributeList()
                                                   throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### appendMobAttributeItem

          void appendMobAttributeItem(TaggedValue mobAttributeItem)
                               throws NullPointerException

      Throws:
        `NullPointerException`

    - #### prependMobAttributeItem

          void prependMobAttributeItem(TaggedValue mobAttributeItem)
                                throws NullPointerException

      Throws:
        `NullPointerException`

    - #### insertMobAttributeItem

          void insertMobAttributeItem(int index,
                                      TaggedValue mobAttributeItem)
                               throws NullPointerException,
                                      IndexOutOfBoundsException

      Throws:
        `NullPointerException`
        `IndexOutOfBoundsException`

    - #### countMobAttributeList

          int countMobAttributeList()

    - #### clearMobAttributeList

          void clearMobAttributeList()

    - #### getMobAttributeItemAt

          TaggedValue getMobAttributeItemAt(int index)
                                     throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### removeMobAttributeItemAt

          void removeMobAttributeItemAt(int index)
                                 throws IndexOutOfBoundsException

      Throws:
        `IndexOutOfBoundsException`

    - #### getSubclipFullLength

          @Int64
          long getSubclipFullLength()
                                    throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setSubclipFullLength

          void setSubclipFullLength(@Int64
                                    Long subclipFullLength)

    - #### getSubclipBegin

          @Int64
          long getSubclipBegin()
                               throws PropertyNotPresentException

      Throws:
        `PropertyNotPresentException`

    - #### setSubclipBegin

          void setSubclipBegin(@Int64
                               Long subclipBegin)

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.